Package com.independentsoft.office.spreadsheet

# Class SheetViewPane

java.lang.Object
com.independentsoft.office.spreadsheet.SheetViewPane

public class SheetViewPane extends Object
The Class SheetViewPane.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SheetViewPane()`
  Instantiates a new sheet view pane.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SheetViewPane`
  `clone()`
  `PaneType`
  `getActivePane()`
  Gets the active pane.
  `double`
  `getHorizontalSplitPosition()`
  Gets the horizontal split position.
  `PaneState`
  `getState()`
  Gets the state.
  `String`
  `getTopLeftVisibleCellLocation()`
  Gets the top left visible cell location.
  `double`
  `getVerticalSplitPosition()`
  Gets the vertical split position.
  `void`
  `setActivePane​(PaneType activePane)`
  Sets the active pane.
  `void`
  `setHorizontalSplitPosition​(double horizontalSplitPosition)`
  Sets the horizontal split position.
  `void`
  `setState​(PaneState state)`
  Sets the state.
  `void`
  `setTopLeftVisibleCellLocation​(String topLeftVisibleCellLocation)`
  Sets the top left visible cell location.
  `void`
  `setVerticalSplitPosition​(double verticalSplitPosition)`
  Sets the vertical split position.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SheetViewPane

    public SheetViewPane()
    Instantiates a new sheet view pane.

- ## Method Details

  - ### clone

    public SheetViewPane clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getActivePane

    public PaneType getActivePane()
    Gets the active pane.
    Returns:
      the active pane

  - ### setActivePane

    public void setActivePane​(PaneType activePane)
    Sets the active pane.
    Parameters:
      `activePane` - the new active pane

  - ### getState

    public PaneState getState()
    Gets the state.
    Returns:
      the state

  - ### setState

    public void setState​(PaneState state)
    Sets the state.
    Parameters:
      `state` - the new state

  - ### getTopLeftVisibleCellLocation

    public String getTopLeftVisibleCellLocation()
    Gets the top left visible cell location.
    Returns:
      the top left visible cell location

  - ### setTopLeftVisibleCellLocation

    public void setTopLeftVisibleCellLocation​(String topLeftVisibleCellLocation)
    Sets the top left visible cell location.
    Parameters:
      `topLeftVisibleCellLocation` - the new top left visible cell location

  - ### getHorizontalSplitPosition

    public double getHorizontalSplitPosition()
    Gets the horizontal split position.
    Returns:
      the horizontal split position

  - ### setHorizontalSplitPosition

    public void setHorizontalSplitPosition​(double horizontalSplitPosition)
    Sets the horizontal split position.
    Parameters:
      `horizontalSplitPosition` - the new horizontal split position

  - ### getVerticalSplitPosition

    public double getVerticalSplitPosition()
    Gets the vertical split position.
    Returns:
      the vertical split position

  - ### setVerticalSplitPosition

    public void setVerticalSplitPosition​(double verticalSplitPosition)
    Sets the vertical split position.
    Parameters:
      `verticalSplitPosition` - the new vertical split position